loci.plugins

## Class BF

- java.lang.Object
- - loci.plugins.BF

-     public final class BF
      extends java.lang.Object

  Miscellaneous plugins utility methods.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `BF()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `debug(java.lang.String msg)`
    `static ij.ImagePlus[]` | `openImagePlus(ImporterOptions options)`
    `static ij.ImagePlus[]` | `openImagePlus(java.lang.String path)`
    `static ij.ImagePlus[]` | `openThumbImagePlus(ImporterOptions options)`
    `static ij.ImagePlus[]` | `openThumbImagePlus(java.lang.String path)`
    `static void` | `progress(boolean quiet, int value, int max)`
    `static void` | `status(boolean quiet, java.lang.String msg)`
    `static void` | `warn(boolean quiet, java.lang.String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BF

          private BF()

  - ### Method Detail

    - #### debug

          public static void debug(java.lang.String msg)

    - #### status

          public static void status(boolean quiet,
                                    java.lang.String msg)

    - #### warn

          public static void warn(boolean quiet,
                                  java.lang.String msg)

    - #### progress

          public static void progress(boolean quiet,
                                      int value,
                                      int max)

    - #### openImagePlus

          public static ij.ImagePlus[] openImagePlus(java.lang.String path)
                                              throws FormatException,
                                                     java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### openThumbImagePlus

          public static ij.ImagePlus[] openThumbImagePlus(java.lang.String path)
                                                   throws FormatException,
                                                          java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### openImagePlus

          public static ij.ImagePlus[] openImagePlus(ImporterOptions options)
                                              throws FormatException,
                                                     java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### openThumbImagePlus

          public static ij.ImagePlus[] openThumbImagePlus(ImporterOptions options)
                                                   throws FormatException,
                                                          java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment